using System;
using System.Collections.Generic;
using ReactiveUI;

namespace AvaloniaCalculator.ViewModels
{
	public class CalculatorViewModel : ReactiveObject
	{
        string _symbol = "+";
        double _value1;
        double _value2;
        double _result;
        public static List<string> CalculationsList => Models.AuthClass.calculationsList;
        public string _selectedCalc = CalculationsList[0];
        public string EnterCalc
        {
            get => _selectedCalc;
            set
            {
                this.RaiseAndSetIfChanged(ref _selectedCalc, value);
                Calc();
            }
        }
        public string CalcSymbol
        {
            get => _symbol;
            set => this.RaiseAndSetIfChanged(ref _symbol, value);
        }
        public double Value1
        {
            get => _value1;
            set => this.RaiseAndSetIfChanged(ref _value1, value);
        }
        public double Value2
        {
            get => _value2;
            set => this.RaiseAndSetIfChanged(ref _value2, value);
        }
        public double Result
        {
            get => _result;
            set => this.RaiseAndSetIfChanged(ref _result, value);
        }
        public void Calc()
        {
            if (_selectedCalc == CalculationsList[0]) CalcSymbol = "+";
            if (_selectedCalc == CalculationsList[1]) CalcSymbol = "-";
            if (_selectedCalc == CalculationsList[2]) CalcSymbol = "*";
            if (_selectedCalc == CalculationsList[3]) CalcSymbol = "/";
        }
        public void Calculations()
        {
            if (_selectedCalc == CalculationsList[0]) Result = Value1 + Value2;
            if (_selectedCalc == CalculationsList[1]) Result = Value1 - Value2;
            if (_selectedCalc == CalculationsList[2]) Result = Value1 * Value2;
            if (_selectedCalc == CalculationsList[3]) Result = Value1 / Value2;
        }
    }
}